Bug 974538 - SELinux is preventing /usr/java/jre1.7.0_21/bin/java from 'unlink' accesses on the file .gbas.so.
Summary: SELinux is preventing /usr/java/jre1.7.0_21/bin/java from 'unlink' accesses o...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e386bb50f66f75885eaaa638d03...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-14 11:35 UTC by sabugiense
Modified: 2013-10-25 13:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-25 13:16:00 UTC
Type: ---


Attachments (Terms of Use)

Description sabugiense 2013-06-14 11:35:08 UTC
Description of problem:
SELinux is preventing /usr/java/jre1.7.0_21/bin/java from 'unlink' accesses on the file .gbas.so.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If você acredita que o java deva ser permitido acesso de unlink em .gbas.so file  por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep java /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                .gbas.so [ file ]
Source                        java
Source Path                   /usr/java/jre1.7.0_21/bin/java
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           jre-1.7.0_21-fcs.i586
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.5-201.fc18.i686.PAE #1 SMP Tue
                              Jun 11 20:23:05 UTC 2013 i686 i686
Alert Count                   2
First Seen                    2013-06-14 08:31:21 BRT
Last Seen                     2013-06-14 08:31:23 BRT
Local ID                      a8edd4ff-ee84-4b87-a6eb-6a4f51c348ff

Raw Audit Messages
type=AVC msg=audit(1371209483.635:339): avc:  denied  { unlink } for  pid=2292 comm="java" name=".gbas.so" dev="sdc3" ino=267 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file


type=SYSCALL msg=audit(1371209483.635:339): arch=i386 syscall=unlink success=no exit=EACCES a0=95edb78 a1=b7799000 a2=4fd19000 a3=95edb78 items=0 ppid=2235 pid=2292 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=java exe=/usr/java/jre1.7.0_21/bin/java subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: java,mozilla_plugin_t,user_home_dir_t,file,unlink

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t user_home_dir_t:file unlink;

audit2allow -R
require {
	type user_home_dir_t;
	type mozilla_plugin_t;
	class file unlink;
}

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t user_home_dir_t:file unlink;


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.5-201.fc18.i686.PAE
type:           libreport

Comment 1 Daniel Walsh 2013-06-15 10:56:29 UTC
Where is .gbas.so located?

find ~/ -name .gbas.so


Note You need to log in before you can comment on or make changes to this bug.